#include <bits/stdc++.h>
using namespace std;
long long n,q,x,y,br;
long long niz[200005],niz1[200005];
int main (){
  scanf("%d", &n);
  for(int i=1;i<=n;i++){
    scanf("%d", &niz[i]);

  }
  for(int i=1;i<=n;i++){
      if(niz[i]<niz[i-1]){
      niz1[i-1]=1;
    }

  }
  for(int i=1;i<=n;i++){ 
    niz1[i]=niz1[i]+niz1[i-1];
  }

  scanf("%d", &q);
  while(q--){
    scanf("%d", &x);
    scanf("%d", &y);
      y--;
      x--;
      if(niz1[y]-niz1[x]>1){
      cout<<"NE"<<endl;
      }
    else cout<<"DA"<<endl;


  }
return 0;
}